<?php
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

/**
 * @version 4.0
 * @package MortgagePaymentCalculator FREE
 * @copyright 2017 OrdaSoft
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author 2017 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru),Sergey Buchastiy (buchastiy1989@gmail.com)
 * @description Mortgage Payment Calculator FREE
 * Homepage: http://www.ordasoft.com
*/


$mosConfig_absolute_path = $GLOBALS['mosConfig_absolute_path']  = JPATH_SITE;
global $mosConfig_lang, $mosConfig_live_site; // for 1.6

$title = $params->get( 'title', '' );
$custom_mod_suffix = $params->get('custom_mod_suffix');
$currency = $params->get('currency', '' );
// $selector = $params->get('price_selector','');

$show_ann_table = intval($params->get('ann_table',''));
$show_diff_table = intval($params->get('diff_table',''));
$show_comp_table = intval($params->get('comp_table',''));

$collumn_count = $show_ann_table+$show_diff_table+$show_comp_table;

if($collumn_count == 1) $collumn_count = 12;
if($collumn_count == 2) $collumn_count = 6;
if($collumn_count == 3) $collumn_count = 4;

$mainframe = JFactory::getApplication(); // for 1.6
$GLOBALS['mainframe'] = $mainframe;

// load language
$lang_def_en=0;
$lang = JFactory::getLanguage();

foreach ($lang->getLocale() as $locale){
    $mosConfig_lang=$locale;
    if (file_exists(dirname(__FILE__)."/../language/{$mosConfig_lang}.php" )){  
        include_once dirname(__FILE__)."/../language/{$mosConfig_lang}.php";
        $lang_def_en=1;
        break;
    }
}
if($lang_def_en!=1){
    $mosConfig_lang = "english";
    include_once dirname(__FILE__)."/../language/english.php";
}

$document = JFactory::getDocument();
$document->addScript(JURI::root().'/modules/mod_mortgage_payment_calculator/includes/jQuerMG_3.2.0.js');
$document->addStyleSheet(JURI::root().'/modules/mod_mortgage_payment_calculator/includes/calculationMG.css');
$document->addStyleSheet(JURI::root().'/modules/mod_mortgage_payment_calculator/includes/bootstrapMG.css');

$document->addScript('https://cdnjs.cloudflare.com/ajax/libs/mootools/1.6.0/mootools-core.min.js');
// $document->addScript(JURI::root().'/modules/mod_mortgage_payment_calculator/includes/mootools-more-1.4.0.1.js');
// $document->addScript(JURI::root().'/modules/mod_mortgage_payment_calculator/includes/MilkChart.js');

?>

<noscript>Javascript is required to use Mortgage Payment Calculator - Calculate Installment
<a href="http://ordasoft.com/mortgage-payment-calculator-Joomla-module.html">Online Mortgage Calculator - module for Joomla</a>
<a href="http://ordasoft.com/mortgage-payment-calculator-Joomla-module.html">Mortgage Loan Payment Calculator - extension for Joomla</a>
</noscript>

<div class="calculator<?php echo $custom_mod_suffix;?> calculator-mod-container">
<div id="mortgage-calculator-<?php echo $module->id;?>">
    <div class="calculator-tool mortgage-tool">
        <div class="calc-row mortgage-header" >
            <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
              <h2 ><?php echo $title;?></h2>
                <!-- <h3>Financing your home?  We will get you the best rate!</h3> -->
            </div>
        </div>

    <!--       <div class="calc-row calc-error-message">
              <div class=" calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
           
              </div>
          </div> -->

          <form  class="mortgage-calculator-form calc-row" >
            
            <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6">
              <div class="calc-row">
                <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                  <label for="mortgage-price"><?php echo _MOD_CALC_MOR_INS_LOAN_AMOUNT;?></label>
                  <div class="calc-row ">
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 with-prefix calc-input-group calc-input-group">

                      <span class="calc-input-group-addon"><?php echo $currency;?></span>
                      <input type="number" value="300000" name="mortgage-price" value=""  class="mortgage-price changed-value form-control" required="" min='1' max='1000000000' >

                      <small class="error"></small>
                      
                    </div>
                  </div>
                </div>
              </div>

              <div class="calc-row">
                <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                  <div class="calc-row ">
                      <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                          <label for="mortgage-downpayment"><?php echo _MOD_CALC_MOR_DOWN_PAYMENT;?></label>
                          <div class="calc-row mortgage-downpayment">
                              <div class="calc-collumn-xs-8 calc-collumn-sm-8 calc-collumn-md-8 calc-collumn-lg-8 with-prefix calc-input-group">
                                  <span class="calc-input-group-addon"><?php echo $currency;?></span>
                                  <input type="number" name="mortgage-downpayment" min='0' max='1000000000' value="" placeholder="" class="mortgage-downpayment changed-value form-control" required="">
                                  <small class="error"></small>
                              </div>
                              <div class="calc-collumn-xs-4 calc-collumn-sm-4 calc-collumn-md-4 calc-collumn-lg-4 with-postfix calc-input-group">
                                  <input type="text" name="mortgage-downpayment-percent"  value="20.00" placeholder="" class="mortgage-downpayment-percent changed-value form-control" required="">
                                  <span class="calc-input-group-addon">%</span>

                                  <small class="error"></small>
                              </div>
                          </div>
                      </div>
                  </div>
                </div>
              </div>
              <div class="calc-row">
                <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6">
                  <label for="mortgage-amortization"><?php echo _MOD_CALC_MOR_LOAN_TERM;?></label>
                  <div class="calc-row ">
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 with-large-postfix calc-input-group">
                      
                      <input type="number" name="mortgage-amortization"  min="1" max="50" value="25" placeholder="" class="mortgage-amortization changed-value form-control align-left" required="" >
                      <span class="calc-input-group-addon"><?php echo _MOD_CALC_MOR_YEAR;?></span>
                      <small class="error"></small>
                    </div>
                  </div>
                </div>
                <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6">
                  <label for="mortgage-interest-percent"><?php echo _MOD_CALC_MOR_INTEREST_RATE;?></label>
                  <div class="calc-row ">
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 with-postfix calc-input-group">
                      
                      <input type="text" name="mortgage-interest-percent" value="2.59" placeholder="" class="mortgage-interest-percent changed-value form-control" required="">
                      <span class="calc-input-group-addon">%</span>
                      <small class="error"></small>
                    </div>
                  </div>
                </div>
              </div>
              <div class="calc-row  payment-switch buttons" >

                  <label for="mortgage-payment" class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12"><?php echo _MOD_CALC_MOR_MONTHLY_PAYMENTS;?></label>


                  <div class="container_payment-option calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                      <!-- <div class="calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6"> -->
                      <button type="button" class="payment-option calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-4"><?php echo _MOD_CALC_MOR_WEEKLY;?></button>
                      <!-- </div> -->
                      <!-- <div class="calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6" > -->
                      <button type="button" class="payment-option calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-4"><?php echo _MOD_CALC_MOR_FORTNIGHTLY;?></button>
                      <!-- </div> -->
                      <!-- <div class="calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6"> -->
                      <button type="button" class="payment-option calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-4 active"><?php echo _MOD_CALC_MOR_MONTHLY;?></button>
                      <!-- </div> -->
                      <!-- <div class="calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6" > -->
                      <button type="button" class="payment-option calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-4"><?php echo _MOD_CALC_MOR_TWO_MONTH;?></button>
                      <!-- </div> -->
                      <!-- <div class="calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6"> -->
                      <button type="button" class="payment-option calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-4"><?php echo _MOD_CALC_MOR_QUARTERLY;?></button>
                      <!-- </div> -->
                      <!-- <div class="calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6" > -->
                      <button type="button" class="payment-option calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-4"><?php echo _MOD_CALC_MOR_SEMI_ANNUAL;?></button>
                      <!-- </div> -->
                      <!-- <div class="calc-collumn-xs-6 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6"> -->
                      <button type="button" class="payment-option calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12"><?php echo _MOD_CALC_MOR_ANNUAL;?></button>
                      <!-- </div>     -->
                  </div>
            
              </div>
              <br>
              <div class="calc-row">
                <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                  <label for="mortgage-maintenance"><?php echo _MOD_CALC_MOR_MAINTAINCE;?></label>
                  <div class="calc-row ">
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 with-prefix calc-input-group with-postfix">
                      <span class="calc-input-group-addon"><?php echo $currency;?></span>
                      <input type="number" name="mortgage-maintenance" min="0"  max="100000" value="0" placeholder="" class="mortgage-maintenance changed-value form-control" >
                      <small class="error"></small>
                      <span class="calc-input-group-addon"><?php echo _MOD_CALC_MOR_MONTHLY;?></span>

                    </div>
                  </div>
                </div>
              </div>
              <div class="calc-row">
                <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                  <label for="mortgage-rental-income"><?php echo _MOD_CALC_MOR_RENTAL_INCOME;?>
                  </label>
                  <div class="calc-row ">
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 with-prefix calc-input-group with-large-postfix">
                      <span class="calc-input-group-addon"><?php echo $currency;?></span>
                      
                      <input type="number" name="mortgage-rental-income" min="0" max="100000" value="0" placeholder="" class="mortgage-rental-income changed-value form-control" >
                      <span class="calc-input-group-addon"><?php echo _MOD_CALC_MOR_MONTHLY;?></span>
                      <small class="error"></small>
                    </div>
                  </div>
                </div>
              </div>
              <div class="calc-row">
                <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                  <input id="mit-<?php echo $module->id;?>"  type="checkbox" class="mortgage-include-taxes-insurance" ><label for="mit-<?php echo $module->id;?>"><?php echo _MOD_CALC_MOR_TAX_INSURANCE;?></label>
                </div>
              </div>

         

              <div class="calc-row forhide">
                <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                  <div class="calc-row ">
                    <label for="mortgage-taxes" class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12"><?php echo _MOD_CALC_MOR_PROPERTY_TAXES;?></label>
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12">
                      <div class="calc-row">
                          <div class="calc-collumn-xs-8 calc-collumn-sm-8 calc-collumn-md-8 calc-collumn-lg-8 with-prefix calc-input-group with-large-postfix">
                            <span class="calc-input-group-addon"><?php echo $currency;?></span>
                            
                            <input type="number" name="mortgage-taxes" min="0" max="100000" value="0" placeholder="" class="mortgage-taxes changed-value form-control" required=""  >
                            <span class="calc-input-group-addon"><?php echo _MOD_CALC_MOR_YEAR;?></span>
                            <small class="error"></small>
                          </div>
                          <div class="calc-collumn-xs-4 calc-collumn-sm-4 calc-collumn-md-4 calc-collumn-lg-4 with-postfix calc-input-group">
                            <input type="text"  name="mortgage-tax-percent" value="0" placeholder="" class="mortgage-tax-percent changed-value form-control" required=""   >
                            <small class="error"></small>
                            <span class="calc-input-group-addon">%</span>

                          </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="calc-row forhide">
                <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6">
                  <label for="mortgage-home-insurance"><?php echo _MOD_CALC_MOR_HOME_INSURANCE;?></label>
                  <div class="calc-row">
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 with-prefix calc-input-group with-large-postfix">
                        <span class="calc-input-group-addon"><?php echo $currency;?></span>
                        <input type="number" name="mortgage-home-insurance" value="0" placeholder="" class="mortgage-home-insurance changed-value form-control"   >
                        <small class="error"></small>
                        <span class="calc-input-group-addon"><?php echo _MOD_CALC_MOR_YEAR;?></span>
                    </div>
                  </div>
                </div>
                <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6">
                  <label for="mortgage-insurance"><?php echo _MOD_CALC_MOR_MORT_INSURANCE;?></label>
                  <div class="calc-row ">
                    <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 with-prefix calc-input-group with-large-postfix">
                      <span class="calc-input-group-addon"><?php echo $currency;?></span>
                      <input type="number" name="mortgage-insurance" value="0" placeholder="" class="mortgage-insurance changed-value form-control"   >
                      <small class="error"></small>
                      <span class="calc-input-group-addon"><?php echo _MOD_CALC_MOR_YEAR;?></span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6">
              <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 summary-container overview-container">
                <h3 ><?php echo _MOD_CALC_MOR_OVERVIEW;?></h3>
                <div class="calc-row overview-principal">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_PRINCIPAL_PAID;?></div>
                </div>
                <div class="calc-row overview-interest">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_INTEREST_PAID;?></div>
                </div>
                <div class="calc-row overview-total">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6  summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6  summary-name"><?php echo _MOD_CALC_MOR_TOTAL_PAID;?></div>
                </div>
              </div>
              <div class="calc-collumn-xs-12 calc-collumn-sm-12 calc-collumn-md-12 calc-collumn-lg-12 summary-container payment-container">
                <h3 class="mortgage-payment-period" ></h3>
                <div class="calc-row payment-principal">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_PRINCIPAL_PAID;?></div>
                </div>
                <div class="calc-row payment-interest">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_INTEREST_PAID;?></div>
                </div>
                <div class="calc-row payment-maintenance">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_MAINTAINCE;?></div>
                </div>
                <div class="calc-row payment-taxes">
                  
                    <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value">
                      <label for="mortgage-include-taxes-insurance" class="summary-label"><div class="addtaxes"><?php echo _MOD_CALC_MOR_ADD;?></div></label>
                    </div>
                  
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_PROPERTY_TAXES;?></div>
                </div>
                <div class="calc-row payment-insurance">
                  
                    <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value">
                      <label for="mortgage-include-taxes-insurance" class="summary-label"><div class="addtaxes"><?php echo _MOD_CALC_MOR_ADD;?></div></label>
                    </div>
                  
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_ALL_INSURANCE;?></div>
                </div>
                <div class="calc-row payment-rental">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 summary-name"><?php echo _MOD_CALC_MOR_RENTAL_INCOME;?></div>
                </div>
                <div class="calc-row payment-total">
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 h3 summary-value"></div>
                  <div class="calc-collumn-xs-12 calc-collumn-sm-6 calc-collumn-md-6 calc-collumn-lg-6 h3 summary-name"></div>
                </div>
              </div>
              <button class="button large mortgage-refresh-payment">
                <?php echo _MOD_CALC_MOR_INS_CALCULATE;?>
              </button>
              

            </div>
          </form>
      </div>

 
    </div>
  </div>


<script type="text/javascript">

    container = "#mortgage-calculator-<?php echo $module->id;?> ";

</script>

<?php  

require_once($mosConfig_absolute_path .'/modules/mod_mortgage_payment_calculator/includes/mortgagesMG.php');
?>